/* -*- Mode: Javascript; tab-width: 2; c-basic-offset: 2; -*-
 * 
 * The contents of this file are subject to the Netscape Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is Netscape
 * Communications Corporation.  Portions created by Netscape are
 * Copyright (C) 1998 Netscape Communications Corporation. All
 * Rights Reserved.
 *
 * Contributor(s): 
 *
 *  Jawahar Swaminathan  <jawahar@ebi.ac.uk> 
 */

var program = "biobar Toolbar";
var Author = "Jawahar Swaminathan";
var Version = "1.5.1";
var fileName = "biobar";
var chromeName = fileName + ".jar";
var chromeType;



err = initInstall(program, Author, Version);
logComment("initInstall: " + err);

 

var fldr = getFolder('chrome'); 
logComment("fldr: " + fldr);
var prompts = loadResources("install.properties");




if (confirm(prompts.install_opt_en)) {
	logComment("Attempting Global Install");
//	alert('Global Install Selected');
	setPackageFolder(fldr);
	err= addFile(chromeName);
	var regfldr;
	regfldr = getFolder(fldr,'biobar.jar');
	registerChrome(Install.CONTENT | Install.DELAYED_CHROME,regfldr,'content/biobar/');
	registerChrome(Install.LOCALE | Install.DELAYED_CHROME,regfldr,'locale/en-US/biobar/');
	

	logComment("addFile() returned: " + err);
	
	if (err != SUCCESS) {
		logComment("addFile() to " + fldr + "failed!");
		resetError();
		alert('Global Install Failed. Biobar will be installed locally');
		fldr = getFolder('Profile','chrome'); 
		setPackageFolder(fldr);
 		addFile('biobar.jar');
		var regfldr;
		regfldr = getFolder(fldr,'biobar.jar');
		registerChrome(Install.CONTENT | Install.PROFILE_CHROME,regfldr,'content/biobar/');
		registerChrome(Install.LOCALE | Install.PROFILE_CHROME,regfldr,'locale/en-US/biobar/');

		}
	}	
	else 
	{
	logComment("Attempting Local Installation")
		fldr = getFolder('Profile','chrome');
//		alert('Biobar will be installed locally');
		setPackageFolder(fldr);
 		addFile('biobar.jar');
		var regfldr;
		regfldr = getFolder(fldr,'biobar.jar');
		registerChrome(Install.CONTENT | Install.PROFILE_CHROME,regfldr,'content/biobar/');
		registerChrome(Install.LOCALE | Install.PROFILE_CHROME,regfldr,'locale/en-US/biobar/');
}

var err = getLastError();


if (err==SUCCESS) {
    logComment('Installing biobar.');
    performInstall();
    alert('biobar was installed\nRestart browser to continue'); 
    logComment('Return Code from Installation : ' + err);
} else {
    logComment('Error installing biobar: ' + err); 
    cancelInstall(err);
}
