/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 */
function doBiobarGroupInit() {
	var d = document;
	d.getElementById('server1').hidden = true;
	d.getElementById('biocyc').hidden = true;
	d.getElementById('asd').hideen = true
        d.getElementById('groups').hidden = false;
	var biobar_GroupXMLFile;
	var localGroupXMLFile="BiobarGroups.xml";
	var file=Components.classes["@mozilla.org/file/directory_service;1"].getService(Components.interfaces.nsIProperties).get("ProfD",Components.interfaces.nsIFile);
	file.append(localGroupXMLFile);
	if(!file.exists()) {
		biobar_GroupXMLFile="chrome://biobar/content/BiobarGroups.xml";
	} else {
		var uri = Components.classes["@mozilla.org/network/io-service;1"].getService(Components.interfaces.nsIIOService).newFileURI(file);
		biobar_GroupXMLFile = uri.spec;
	}
	biobar_load_XMLFile(biobar_GroupXMLFile);
	biobar_makeGroupMenu();
}

function biobar_makeGroupMenu() {
		var d = document;
	var popup       =  d.getElementById('groups.popup');
	var database    =  d.getElementById('groups');
	var value       = d.getElementById('groups').value;
	database.removeChild(popup);
	var p = d.createElement('menupopup');
	p.setAttribute('id', "groups.popup");
	p.setAttribute('crop', "right");
	var biobar_Groups = biobar_xmlFile.getElementsByTagName("Group");
	for (var i=0; i<biobar_Groups.length; i++) {
		var biobar_GroupItem = biobar_Groups[i].getAttribute("name");
		var newMenuitem = d.createElement('menuitem');
		newMenuitem.setAttribute('label', biobar_GroupItem);
		newMenuitem.setAttribute('value', biobar_GroupItem);
		newMenuitem.setAttribute('id', biobar_GroupItem);
		newMenuitem.setAttribute('oncommand', 'doGroupCMD(event.target)');
		p.appendChild(newMenuitem);
	}
	database.appendChild(p);
	database.value = value;
	if (!database.selectedItem) {
		database.value = biobar_Groups[0].getAttribute("name");
		biobar_GroupsMenu();
	}
	return(true);
}

function doGroupCMD(el) {
	var v = el.getAttribute("value");
	if (v == "") {
		alert('No database chosen');
	} else
		//    alert('new mechanism says ' + v);
		document.getElementById('groups').value=v;
	biobar_GroupsMenu();
}
	
	
function doBiobargroupCheck()
{
	var QueryBox = document.getElementById("queryTextbox").value;
	var jjj = document.getElementById('groups').value;
	if (QueryBox !== "") {

		if (jjj) {
			biobar_GroupSearch(jjj);
		}
	}

	else {
		alert('You need at least one Search Term');
	}
}

function biobar_GroupsMenu()
{
	//Hide PDB Box
	document.getElementById('searchPDB').hidden = true;
	document.getElementById('queryPDB').hidden= true;

	var d           = document;
	var popup       =  d.getElementById('biobar.popup');
	var database    =  d.getElementById('database');
	var value       = d.getElementById('database').value;
	var server      =  d.getElementById('groups').value;
	database.removeChild(popup);
	var p = d.createElement('menupopup');
	p.setAttribute('id', "biobar.popup");
	p.setAttribute('crop', "right");

	var menuitems = biobar_xmlFile.getElementsByTagName("Group");
	for (var g=0; g<menuitems.length; g++)
	{
		if (menuitems[g].getAttribute("name") == server)
		{
			var newMenuitems = menuitems[g].getElementsByTagName("Menuitem");

			for (var f=0; f<newMenuitems.length; f++)
			{
				var tmp = newMenuitems[f].getAttribute("SearchTerm");
				var newElement;
				newElement = d.createElement('menuitem');
				newElement.setAttribute('value', tmp);
				newElement.setAttribute('label', tmp);
				p.appendChild(newElement);
			}
		}
	}
	database.appendChild(p);
	database.selectedItem = null;
	database.value = value;
	if (!database.selectedItem) {
		database.value = newMenuitems[0].getAttribute("SearchTerm");
	}
	return true;
}

function biobar_GroupSearch(jjj)
{
	var searchstring = document.getElementById('queryTextbox').value;
	var search_for = document.getElementById('database').value;
	biobar_GroupparseXML(search_for, searchstring, jjj);
}



function biobar_GroupparseXML(search_for, searchstring, jjj)
{
	var GroupDB = biobar_xmlFile.getElementsByTagName("Group");
	for (var q=0; q<GroupDB.length; q++) {
		if (GroupDB[q].getAttribute("name") == jjj)
		{
			var bbdatabase = GroupDB[q].getElementsByTagName("Menuitem");
			for(var i=0; i<bbdatabase.length; i++) {
				if (bbdatabase[i].getAttribute("SearchTerm") == search_for)
				{
					var urlT = bbdatabase[i].getElementsByTagName("url");
					for(var l=0; l<urlT.length; l++)
					{
						getBrowser().addTab((urlT[l].childNodes[0].nodeValue)+searchstring);
					}
				}
			}

		}
	}
	return;

}

